Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface TaskBaseControl

All Superinterfaces:
  Serializable, TaskBaseAnnotations

All Known Subinterfaces:
  TaskBatchControl, TaskControl, TaskWorkerControl

    public interface TaskBaseControl

extends TaskBaseAnnotations, Serializable

The TaskBase control acts as a base interface for the Task and TaskBatch controls.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.control.TaskBaseAnnotations
`TaskBaseAnnotations.AssigneeDefinitionAnno, TaskBaseAnnotations.AssignmentInstructions81x, TaskBaseAnnotations.AssignmentInstructionsAnno, TaskBaseAnnotations.BusinessTimeAnno, TaskBaseAnnotations.ContainerHandleAnno, TaskBaseAnnotations.DateTimeSpec, TaskBaseAnnotations.FieldName, TaskBaseAnnotations.Flag, TaskBaseAnnotations.PropertyValue, TaskBaseAnnotations.StepTimeEstimate, TaskBaseAnnotations.TaskAbort, TaskBaseAnnotations.TaskAssign, TaskBaseAnnotations.TaskAssign81x, TaskBaseAnnotations.TaskClaim, TaskBaseAnnotations.TaskClaim81x, TaskBaseAnnotations.TaskComplete, TaskBaseAnnotations.TaskCreate, TaskBaseAnnotations.TaskDelete, TaskBaseAnnotations.TaskGetData, TaskBaseAnnotations.TaskGetInfo, TaskBaseAnnotations.TaskGetProperties, TaskBaseAnnotations.TaskGetPropertyNames81x, TaskBaseAnnotations.TaskGetRequest81x, TaskBaseAnnotations.TaskGetResponse81x, TaskBaseAnnotations.TaskPlanID, TaskBaseAnnotations.TaskRemoveProperties81x, TaskBaseAnnotations.TaskResume, TaskBaseAnnotations.TaskReturn, TaskBaseAnnotations.TaskReturn81x, TaskBaseAnnotations.TaskSetError, TaskBaseAnnotations.TaskSetProperties, TaskBaseAnnotations.TaskSetProperty81x, TaskBaseAnnotations.TaskSetRequest81x, TaskBaseAnnotations.TaskSetResponse81x, TaskBaseAnnotations.TaskStart81x, TaskBaseAnnotations.TaskStop81x, TaskBaseAnnotations.TaskSuspend, TaskBaseAnnotations.TaskTakeAction, TaskBaseAnnotations.TaskUpdate81x`

Method Summary
`String` | `constructTask(TaskConstructionXMLDocument doc)` Create and optionally assigns a new task using an XML interface
`String` | `createTask(TaskCreationXMLDocument doc)` Deprecated. Use constructTask instead.
`TaskPlan` | `getTaskPlan(TaskPlanId taskPlanId)` Get the task plan for the given ID.

Method Detail

### createTask

    String createTask(TaskCreationXMLDocument doc)

  Deprecated. Use constructTask instead.

  Create and optionally assigns a new task using an XML interface

  Parameters:
    `doc` - the task parameters
  Returns:
    the taskId

### constructTask

    String constructTask(TaskConstructionXMLDocument doc)

  Create and optionally assigns a new task using an XML interface

  Parameters:
    `doc` - the task parameters
  Returns:
    the taskId

### getTaskPlan

    TaskPlan getTaskPlan(TaskPlanId taskPlanId)

  Get the task plan for the given ID.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD